org.apache.fop.fo.pagination

## Class PageProductionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.fo.pagination.PageProductionException

All Implemented Interfaces:
  Serializable

    public class PageProductionException
    extends RuntimeException

Exception thrown by FOP if there is a problem while producing new pages.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PageProductionException.PageProductionExceptionFactory` Exception factory for `PageProductionException`.

### Constructor Summary

Constructors
Constructor and Description
`PageProductionException(String message)` Creates a new PageProductionException.
`PageProductionException(String message, Locator locator)` Creates a new PageProductionException.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalizedMessage()`
`Locator` `getLocator()` Returns the locattion associated with the exception.
`void` `setLocalizedMessage(String msg)` Sets the localized message for this exception.
`void` `setLocator(Locator locator)` Set a location associated with the exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageProductionException

    public PageProductionException(String message)

Creates a new PageProductionException.

Parameters:
  `message` - the message

#### PageProductionException

    public PageProductionException(String message,
                                   Locator locator)

Creates a new PageProductionException.

Parameters:
  `message` - the message
  `locator` - the optional locator that points to the error in the source file

### Method Detail

#### setLocator

    public void setLocator(Locator locator)

Set a location associated with the exception.

Parameters:
  `locator` - the locator holding the location.

#### getLocator

    public Locator getLocator()

Returns the locattion associated with the exception.

Returns:
  the locator or null if the location information is not available

#### setLocalizedMessage

    public void setLocalizedMessage(String msg)

Sets the localized message for this exception.

Parameters:
  `msg` - the localized message

#### getLocalizedMessage

    public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `Throwable`